Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Rails
Target version:
Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9499
Description

Current code emits a warning when trying to emit a deprecation warning:

ActiveSupport: :DeprecationException: DEPRECATION WARNING: Please pass caller_locations ™ to the de
precation API (called from deprecation_warning at foreman/app/services/foreman/deprecation.rb:6)

caller_locations was added in Ruby 2.0, so uh, it's safe to use by now ;-)
The above warning comes from Rails at

https://github.com/rails/rails/blob/6-1-stable/activesupport/lib/active_support/deprecation/reporting.ro#L 138 - and has been there
since Rails 5, no idea why we stumble only now over it.

Associated revisions

Revision df2bbe1f - 11/04/2022 10:20 AM - Evgeni Golov

Fixes #35717 - use caller_locations in deprecation warnings

Rails prefers to have it that way for better reporting

History

#1 - 11/04/2022 07:27 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9499 added

#2 - 11/04/2022 07:33 AM - Evgeni Golov

- Description updated

#3 - 11/04/2022 10:20 AM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#4 - 11/04/2022 11:02 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|df2bbe1f12 1272e8241

#5 - 11/28/2022 12:14 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
